## harden-doc 2.100

=== Makefile ===
CVSROOT=:pserver:anonymous@cvs.debian.org:/cvs/debian-doc
DESTDOC=$(CURDIR)/debian/harden-doc/usr/share/doc/harden-doc
# These are the current languages that compile cleanly
VALIDLANGS=es it de ru fr

all: build

build: build-howto

build-howto: howto-source
	(cd howto-source && make EXTS="txt info ps pdf" LANGS="$(VALIDLANGS)")
	touch build-howto

install: install-howto

install-howto: build-howto
	(cd howto-source  && make publish PUBLISHDIR=$(DESTDOC) EXTS="txt info ps pdf" LNPUBDIRMAN="" LANGS="$(VALIDLANGS)")
	mv $(DESTDOC)/securing-debian-howto/*.ps $(DESTDOC)
	mv $(DESTDOC)/securing-debian-howto/*.txt $(DESTDOC)
	mv $(DESTDOC)/securing-debian-howto/*.pdf $(DESTDOC)
	mkdir -p tmp-info
	mv $(DESTDOC)/securing-debian-howto/*.info* tmp-info
	./fixinfo
	mv $(DESTDOC)/securing-debian-howto $(DESTDOC)/html

clean: howto-clean
	-rm -Rf tmp-info
	-rm -f build-howto

howto-clean: howto-source
	-(cd howto-source && make clean)

howto-source: howto-source/securing-debian-howto.sgml
howto-source/securing-debian-howto.sgml: 
	if echo "$(CVSROOT)" | grep pserver ; then cvs -d $(CVSROOT) login ; fi
	cvs -d $(CVSROOT) -z3 checkout -d howto-source \
		ddp/manuals.sgml/securing-howto
force-update:
	if echo "$(CVSROOT)" | grep pserver ; then cvs -d $(CVSROOT) login ; fi
	cvs -d $(CVSROOT) -z3 checkout -d howto-source \
		ddp/manuals.sgml/securing-howto

=== howto-source/Makefile ===
#
# Makefile for the Securing Debian HOWTO (copied from Makefile.intln)
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for the package build.

##### CONF PART 
# this can and will be overriden by a higher level makefile
PUBLISHDIR := /org/www.debian.org/www/doc/manuals

# Darn, I should have named dir and file the same way
#MANUAL = $(notdir $(shell pwd))
MANUAL = securing-debian-howto

LNPUBDIRMAN=$(PUBLISHDIR)/$(MANUAL)/

# The cannonical language, in which the original document is
ORIG_LANG=en
# list of langs (above the canonical one)
# LANGS=$(shell ls $(MANUAL).*.sgml|sed 's/.*$(MANUAL)\.\([^.]*\)\.sgml/\1/')
#
# Since portuguese is not yet in debiandoc format we cannot publish it until it is
#
LANGS = es ja ru it de fr

EXTS=txt info
##### END OF CONF PART CHANGE THE END AT YOU OWN RISK

# what will be built
HTMLDIRS=$(MANUAL).html $(foreach lang,$(LANGS),$(MANUAL).$(lang).html)
ALLFILES=$(foreach ext,$(EXTS),\
	    $(MANUAL).$(ORIG_LANG).$(ext)\
	    $(foreach lang,$(LANGS),$(MANUAL).$(lang).$(ext))\
	  )


#====[ build rules ]===========================================================
# generate anything some dirs want version.ent to be builded, some not

DEBIAN=$(wildcard debian)
ifeq ($(DEBIAN),"debian")
all: version.ent $(HTMLDIRS) $(ALLFILES)
else
all: $(HTMLDIRS) $(ALLFILES)
endif

version.ent: debian/changelog
	./debian/rules $@

#----[ generating HTML ]-------------------------------------------------------
# for orig_lang
$(MANUAL).html: $(MANUAL).sgml
	debiandoc2html -l $(ORIG_LANG) -c $<

# for translated languages
# FIXME: there is a trick because debiandoc2html does a sed 'y/.../...' 
#        which should be reverted to have the content negociation working.
#   This trick is bad. debiandoc2html should be corrected.
$(MANUAL).%.html: $(MANUAL).%.sgml
	debiandoc2html -l $* -c $<
	@echo "cleaning up file extensions";\
	for file in `ls $(MANUAL).$*.html/*` ; do\
	 newfile=`echo $$file|\
	          sed 's/$(shell echo $*|\
	      sed 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ_/abcdefghijklmnopqrstuvwxyz-/'\
	                  )\.html/$*\.html/'`;\
	 if [ $$file != $$newfile ] ; then\
	   mv $$file $$newfile;\
	 fi\
	done;   


#----[ generating plain text ]-------------------------------------------------
# for orig_lang
$(MANUAL).$(ORIG_LANG).txt: $(MANUAL).sgml
	debiandoc2text -l $(ORIG_LANG) -c $<

# for translated languages
$(MANUAL).%.txt: $(MANUAL).%.sgml
	debiandoc2text -l $* $<

#----[ generating tov ]--------------------------------------------------------
# for orig_lang
$(MANUAL).$(ORIG_LANG).tov: $(MANUAL).sgml
	debiandoc2textov -l $(ORIG_LANG) -c $<

# for translated languages
$(MANUAL).%.tov: $(MANUAL).%.sgml
	debiandoc2textov -l $* $<

#----[ generating info ]-------------------------------------------------------
# for orig_lang
$(MANUAL).$(ORIG_LANG).info: $(MANUAL).sgml
	debiandoc2info -l $(ORIG_LANG) -c $<

# for translated languages
$(MANUAL).%.info: $(MANUAL).%.sgml
	debiandoc2info -l $* $<

#----[ generating PostScript ]-------------------------------------------------
# for orig_lang
$(MANUAL).$(ORIG_LANG).ps: $(MANUAL).sgml
	debiandoc2latexps -l $(ORIG_LANG) -c $<

# for translated languages
$(MANUAL).%.ps: $(MANUAL).%.sgml
	debiandoc2latexps -l $* $<

#----[ generating PDF ]--------------------------------------------------------
# for orig_lang
$(MANUAL).$(ORIG_LANG).pdf: $(MANUAL).sgml
	debiandoc2latexpdf -l $(ORIG_LANG) -c $<

# for translated languages
$(MANUAL).%.pdf: $(MANUAL).%.sgml
	debiandoc2latexpdf -l $* $<

#====[ publishing to the DDP web pages ]=======================================
publish: publish-html publish-files

#----[ publish html ]----------------------------------------------------------
publish-html: $(HTMLDIRS)
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
	 # install any translated html
	$(foreach lang,$(LANGS),\
	  install -p -m 644 $(MANUAL).$(lang).html/*.html $(PUBLISHDIR)/$(MANUAL)/;)
	 # install original html
	 install -p -m 644 $(MANUAL).html/*.html \
	                   $(PUBLISHDIR)/$(MANUAL)/
	 # make the symlinks for html files
	 @$(foreach file,$(wildcard  $(MANUAL).html/*.html),\
	  name=`echo $(file) | sed 's/$(MANUAL).html\///'`; \
	  link=`echo $$name|sed 's/.$(ORIG_LANG).html$$/.html/'`;\
	  echo "$$link -> $$name";\
	  ln -sf $$name\
	        $(PUBLISHDIR)/$(MANUAL)/$$link;\
	 )

#----[ publish the files ]-----------------------------------------------------
publish-files: $(ALLFILES)
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	$(foreach ext,$(EXTS),\
	 rm -f $(PUBLISHDIR)/$(MANUAL)/*.$(ext);\
	 \
	 $(foreach lang,$(LANGS),\
	  install -p -m 644 $(MANUAL).$(lang).$(ext)\
	                    $(PUBLISHDIR)/$(MANUAL)/;)\
	 \
	 install -p -m 644 $(MANUAL).$(ORIG_LANG).$(ext)\
	                   $(PUBLISHDIR)/$(MANUAL)/;\
	 \
	 ln -sf $(MANUAL).$(ORIG_LANG).$(ext)\
               $(PUBLISHDIR)/$(MANUAL)/$(MANUAL).$(ext);\
	)


#----[ publish the ps ]--------------------------------------------------------
publish-ps: ps
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.ps
	 # install any translated ps
	$(foreach lang,$(LANGS),\
	  install -p -m 644 $(MANUAL).$(lang).ps \
	                    $(PUBLISHDIR)/$(MANUAL)/ ;)
	 # install original ps
	 install -p -m 644 $(MANUAL).$(ORIG_LANG).ps\
	                   $(PUBLISHDIR)/$(MANUAL)/
	 # make the symlinks for ps
	 ln -sf $(MANUAL).$(ORIG_LANG).ps\
               $(PUBLISHDIR)/$(MANUAL)/$(MANUAL).ps


#====[ validating SGML ]=======================================================
validate:
	set -x; for i in $(wildcard *.sgml); do nsgmls -ges -wall $$i; done

#====[ cleaning up ]===========================================================
clean distclean:
	rm -f securing-debian-howto*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,tpt,sasp*} *~
	rm -rf securing-debian-howto*.html

.PHONY: all html txt ps\
	publish publish-html publish-txt publish-ps\
	clean distclean validate

=== debian/changelog ===
harden-doc (2.100) unstable; urgency=low

  * Updated to latest CVS version which includes:
     - Proper translation of the Debian Social Contract (Closes: #246104,
     #246107)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  1 Jun 2004 01:22:23 +0200

harden-doc (2.99) unstable; urgency=low

  * Removed lasg from Suggests
  * Updated to latest CVS version which includes:
    - More information regarding testing security support (Closes: #233955)
    - Correct links to the snoopy sourceforge project (Closes: #179409)
    - Guarddog is now listed as part of the firewall configuration packages
     (Closes: #170710)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  5 Mar 2004 09:17:06 +0100

harden-doc (2.98) unstable; urgency=low

  * Updated to the latest version and included the french translation.
  * Fixed maintainer e-mail address

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 14 Feb 2004 20:55:55 +0100

harden-doc (2.96) unstable; urgency=low

  * This is a new source package (harden-doc) based on Ola's harden-* 
    packages. I'm keeping the changelog of all the previous harden source
    packages changes (since some apply to changes previously done with
    this new version)
  * Updated the Manual from CVS (version 2.96)
  * This package now provides also the italian, german and japanese 
    translation which are fairly up-to-date.
  * Fixed the makefile which entered into an endless loop if the sources
    were not available.
  * The package now provides the SGML sources, fresh from CVS, it will
    still work if the CVS sources are not available and will retrieve them
    first.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  9 Sep 2003 13:47:11 +0200

harden (0.1.9) unstable; urgency=low

  * Split out harden-*flaws to its separate package.
  * Fixed descrioptions so that they do not contain a full stop.
  * Fixed other description issues.
  * Updated standards version to 3.5.8.
  * Updated securing debian howto from cvs.
  * Added depend on nagios, closes: #167624.
  * Fixed remoteaudit suggestion, closes: #175284.
  * Added suggestion of libsafe, closes: #144124.

 -- Ola Lundqvist <opal@debian.org>  Thu, 17 Apr 2003 17:32:58 +0200

harden (0.1.8) unstable; urgency=low

  * Fixed doc-base problem, closes: #167361.

 -- Ola Lundqvist <opal@debian.org>  Mon,  4 Nov 2002 15:03:55 +0100

harden (0.1.7) unstable; urgency=medium

  * Fixed doc-base problem, closes: #151883.
    Thanks to Adam Byrtek <alpha@debian.org> for the fix.
  * Updated with the latest cvs, closes: #159467.

 -- Ola Lundqvist <opal@debian.org>  Wed, 11 Sep 2002 09:11:46 +0200

harden (0.1.6) unstable; urgency=medium

  * Updated with new security issues.

 -- Ola Lundqvist <opal@debian.org>  Thu, 29 Aug 2002 07:32:17 +0200

harden (0.1.5) unstable; urgency=low

  * Fixed build failure, closes: #146083. Thanks to:
    Junichi Uekawa <dancer@netfort.gr.jp>.
  * Licq is ok for unstable, closes: #144994.
  * Updated build structure.
  * Changed /etc/dpkg/dpkg.conf to /etc/dpkg/dpkg.cfg in howto,
    closes: #145002.

 -- Ola Lundqvist <opal@debian.org>  Tue,  7 May 2002 08:37:13 +0200

harden (0.1.4) unstable; urgency=critical

  * Updated flaw conflicts from woody security roundup.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sat, 27 Apr 2002 23:48:36 +0200

harden (0.1.3) unstable; urgency=medium

  * Updated because of new dsa information.

 -- Ola Lundqvist <opal@debian.org>  Wed, 17 Apr 2002 18:35:24 +0200

harden (0.1.2) unstable; urgency=low

  * Fixed conflict on phpgroupware, closes: #143057.
  * Added some new dsa from security.debian.org.
  * Conflicts with pidentd, closes: #143116.

 -- Ola Lundqvist <opal@debian.org>  Tue, 16 Apr 2002 23:12:41 +0200

harden (0.1.1) unstable; urgency=low

  * Fixed spelling error, closes: #141717.

 -- Ola Lundqvist <opal@debian.org>  Mon,  8 Apr 2002 20:51:11 +0200

harden (0.1.0) unstable; urgency=low

  * Updated security manual from cvs, closes: #141339.
  * Fixed build dependency, closes: #141263.
  * Fixed preconfigure problem, closes: #141285.
  * Added conflict with mtr, closes: #140146.
  * Conflict with buggy webmin, closes: #140370.
  * Fixed fetchmail problem by adding debconf question instead, closes:
    #94472.
  * Decided that the debconf questions is good enough for a new
    middle revision.

 -- Ola Lundqvist <opal@debian.org>  Fri,  5 Apr 2002 21:09:37 +0200

harden (0.0.15) unstable; urgency=low

  * Created a harden development package, closes: #113963.
  * No longer conflict with xvncviewer because it can be used in
    ssh-tunnel mode, closes: #136238.
  * Can not see any problems with the .dhelp file. Must be a old
    error, closes: #138636.
  * Started to use debconf to guide the installation, closes: #111322.

 -- Ola Lundqvist <opal@debian.org>  Fri, 22 Mar 2002 19:44:39 +0100

harden (0.0.14) unstable; urgency=low

  * Fixed dob-base problem in a better way.

 -- Ola Lundqvist <opal@debian.org>  Wed,  6 Mar 2002 16:48:56 +0100

harden (0.0.13) unstable; urgency=low

  * Updated howto.
  * Fix build dependency, closes: #133160.
  * Fixed postinst problem, closes: #130674.
  * Updated the documentation description, on what to read, closes:
    #133981.
  * Fixed long description line in harden-tools, closes: #130991.

 -- Ola Lundqvist <opal@debian.org>  Sun, 17 Feb 2002 11:43:05 +0100

harden (0.0.12) unstable; urgency=low

  * Fixed info file issues, closes: #127045, #127437.
  * Updated the harden howto, removing japan translation becuase
    of build errors.

 -- Ola Lundqvist <opal@debian.org>  Sat, 19 Jan 2002 12:20:11 +0100

harden (0.0.11) unstable; urgency=low

  * Fixed critical issue with net build assumption.
  * Fixed caffeine underrun problem in harden-doc. Doc-base, closes:
    #124259.
  * Changed priority, closes: #124131.
  * Fixed spelling error in harden-tools, closes: #124728.
  * Fixed spelling error in harden-servers, closes: #124727.


=== debian/control ===
Source: harden-doc
Section: doc
Priority: extra
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends-Indep: debhelper (>> 3.0.0), dpsyco-devel, debiandoc-sgml, perl, texinfo, tetex-bin, tetex-extra
Standards-Version: 3.5.8

Package: harden-doc
Architecture: all
Recommends: lskb
Description: Useful documentation to secure a Debian system
 Harden-doc will install documentation an administrator can use
 to make a Debian system more secure.
 .
 It currently provides the 'Securing Debian Manual'
 from the Debian Documentation Project.
 .
 Homepage: http://www.debian.org/doc/manuals/securing-debian-howto/

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp configure-stamp
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install
	dpsch-cvsclean


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdebconf -i
	dh_installdocs -i
#	dh_installexamples -i
	dh_installinfo -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep
.PHONY: build clean binary-indep binary install configure

## harden-doc 3.0.1.1

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,26 @@
 CVSROOT=:pserver:anonymous@cvs.debian.org:/cvs/debian-doc
 DESTDOC=$(CURDIR)/debian/harden-doc/usr/share/doc/harden-doc
 # These are the current languages that compile cleanly
-VALIDLANGS=es it de ru fr
+VALIDLANGS=en en de fr es it ru 
 
 all: build
 
 build: build-howto
 
 build-howto: howto-source
-	(cd howto-source && make EXTS="txt info ps pdf" LANGS="$(VALIDLANGS)")
+	(cd howto-source && make EXTS="txt ps pdf" LANGS="$(VALIDLANGS)")
 	touch build-howto
 
 install: install-howto
 
 install-howto: build-howto
-	(cd howto-source  && make publish PUBLISHDIR=$(DESTDOC) EXTS="txt info ps pdf" LNPUBDIRMAN="" LANGS="$(VALIDLANGS)")
+	(cd howto-source  && make publish PUBLISHDIR=$(DESTDOC) EXTS="txt ps pdf" LNPUBDIRMAN="" LANGS="$(VALIDLANGS)")
 	mv $(DESTDOC)/securing-debian-howto/*.ps $(DESTDOC)
 	mv $(DESTDOC)/securing-debian-howto/*.txt $(DESTDOC)
 	mv $(DESTDOC)/securing-debian-howto/*.pdf $(DESTDOC)
-	mkdir -p tmp-info
-	mv $(DESTDOC)/securing-debian-howto/*.info* tmp-info
-	./fixinfo
+#	mkdir -p tmp-info
+#	mv $(DESTDOC)/securing-debian-howto/*.info* tmp-info
+#	./fixinfo
 	mv $(DESTDOC)/securing-debian-howto $(DESTDOC)/html
 
 clean: howto-clean

=== howto-source/Makefile ===
#
# Based  Makefile Template from Osamu Aoki
#
#  Build html(multi-page), txt, ps, pdf, and other formats.
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for the package build.
# ------------------------------------------------------------------- #
#                          WARNING                                    #
#         Use with caution, aimed at Woody system                     #
#   "ps" and "pdf" tends to break in some ill-configured systems      #
# ------------------------------------------------------------------- #
# Read local texmf.cnf file

export TEXMFCNF=texmf:

# Following default shall be edited by the coordinator for the entire
# set of languages.  If a subsection owner wishes to override settings,
# they can be overridden by running make with "make 'LANGS1=fi'" etc.. 

# =================================================================== #
#                 Default configuration part: Customize               #
# =================================================================== #

# The directory in which this makefile resides must also contain a file
# called <directoryname>.[<language>.]sgml, which is the top-level file
# for the manual in this directory.

# Basename for language-dependent SGML (DDP default, generated)
MANUAL := securing-debian-howto

# Basename for language-independent SGML-template.
MANUAL0 := $(MANUAL)

# Build type: Possible values are BUILD_TYPE = web|package
BUILD_TYPE  := web

# Publish directory
# This can and will be overridden by a higher level makefile
PUBLISHDIR := ~/public_html/manuals.html

# List of languages built for "distclean" target for DDP:
LANGSALL := en de fr es it ru ja
# List of languages built for "publish" target for DDP
LANGS := en de fr es it ru ja


# Files which affect SGML generation (excluding *.sgml)
SGMLENTS := custom.ent default.ent

# All SGML source files
SGMLSRCS := $(foreach lang, $(LANGS), $(MANUAL).$(lang).sgml) \
	    $(foreach lang, $(LANGS), $(wildcard $(lang)/*.sgml ) ) \
	    $(SGMLENTS)

# =================================================================== #
#                 Build target default part: Routine                  #
# =================================================================== #
# If some languages have problems building, filter-out in here.

### Full guide

# List of html stamp files to be built
HTMLS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).html.stamp)

# List of pdf to be built
TXTS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).txt)

# List of ps to be built
PSS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).ps)

# List of pdf to be built
PDFS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).pdf)


# =================================================================== #
#                 Build target part: Customize                        #
# =================================================================== #
# If some languages have problems building, filter-out in here.

all: html txt 
#all: html txt ps pdf
html: $(HTMLS)
text txt:  $(TXTS)
ps:   $(PSS)
pdf:  $(PDFS)

publish: publish-html publish-txt publish-ps publish-pdf
# NOTE: PS and PDF generation might not work OK for all 
# languages (notably Japanese), consider using this instead:
#publish: publish-html publish-txt 

# =================================================================== #
#                 Build rule part: If not package build               #
# =================================================================== #

$(MANUAL).%.ent:
	echo "<!ENTITY language \"$*\">"                 > $@
	echo "<!ENTITY % lang-$* \"INCLUDE\">"          >> $@
	echo "<!ENTITY docdate \"`LC_ALL=C date -R`\">" >> $@
	echo "<!ENTITY docversion \"CVS\">"             >> $@


# =================================================================== #
#                 Build rule part: Routine                            #
# =================================================================== #

# SGML

# Create starting SGML for each language from the template.  Actual
# contents reside in language-segregated subdirectories.

$(MANUAL).%.sgml: $(MANUAL0).sgml
	sed -e "s/@@LANGS@@/$*/g" \
	    -e "s/@@DIRS@@/$*/g" \
	    -e "s/@@NAME@@/$(MANUAL)/g" \
	        $< > $(MANUAL).$*.sgml

# HTML

$(MANUAL).%.html.stamp: $(MANUAL).%.sgml  $(MANUAL).%.ent $(wildcard %/*.sgml)
	debiandoc2html -l $* -c $<
# since $(MANUAL).%.html/index.%.html cannot be a target file
	@for file in `ls $(MANUAL).$*.html/*` ; do\
	newfile=`echo $$file|\
	    sed 's/$(shell echo $*|\
		sed 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ_/abcdefghijklmnopqrstuvwxyz-/'\
		)\.html/$*\.html/'`;\
	if [ $$file != $$newfile ] ; then\
		mv $$file $$newfile;\
		echo "Rename $$file --> $$newfile";\
	fi\
	done
	touch $(MANUAL).$*.html.stamp

# TXT

$(MANUAL).%.txt: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
	debiandoc2text -l     $* $<


# PS

$(MANUAL).%.ps: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
	debiandoc2latexps -l  $(subst pt-br,pt_BR,$*) $<

# PDF

$(MANUAL).%.pdf: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
	debiandoc2latexpdf -l $* $<


# =================================================================== #
#                 Build rule part: Web publish                        #
# =================================================================== #

publish-html: html
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
	# install all html
	@$(foreach lang,$(LANGS),\
	 install -p -m 644 $(MANUAL).$(lang).html/*.html \
	          $(PUBLISHDIR)/$(MANUAL)/ ;\
	)
publish-txt:  txt
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.txt
	# install all txt
	@$(foreach lang,$(LANGS),\
	 install -p -m 644 $(MANUAL).$(lang).txt \
	          $(PUBLISHDIR)/$(MANUAL)/ ;\
	)

publish-ps:  ps
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.ps
	# install all ps
	@$(foreach lang,$(LANGS),\
	 install -p -m 644 $(MANUAL).$(lang).ps \
	          $(PUBLISHDIR)/$(MANUAL)/ ;\
	)


publish-pdf:  pdf
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.pdf
	# install all pdf1
	@$(foreach lang,$(LANGS),\
	 install -p -m 644 $(MANUAL).$(lang).pdf \
	          $(PUBLISHDIR)/$(MANUAL)/ ;\
	)


#====[ validating SGML ]=======================================================
validate:
	set -x; for i in $(LANGS); do $(MAKE) validate1-$$i ; done

validate1-%: $(SGMLSRCS) $(MANUAL)-%.ent 
	nsgmls -gues -wall $(MANUAL)-$*.sgml


#====[ cleaning up ]===========================================================
distclean: clean
	rm -Rf $(PUBLISHDIR)/$(MANUAL)
	rm -f *.error $(MANUAL).*.sgml

clean:
	rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,sasp*,out,tov}
	rm -f *~ prior.aux pprior.aux tar.gz.log
	rm -f *.error $(MANUAL).*.ent date.ent $(MANUAL).*.tpt
	rm -rf $(MANUAL)*.html *stamp

.PHONY: all html text txt ps pdf \
	publish publish-html publish-tst publish-ps publish-pdf \
	clean distclean validate

=== debian/changelog ===
harden-doc (3.0.1.1) unstable; urgency=medium

  * Readded english translation which was lost because the Makefile structure
    changed. Also added Italian and German translations, which were missing
    too. (Closes: #283977)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  3 Dec 2004 12:28:32 +0100

harden-doc (3.0.1) unstable; urgency=low

  * Updated to latest CVS version, mostly included updated translations
    (Closes: #281926)
  * Removed debian/harden-doc.info since no info targets are built

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 20 Nov 2004 01:48:05 +0100

harden-doc (3.0) unstable; urgency=low

  * Updated to latest CVS version.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  4 Jun 2004 20:14:45 +0200

## harden-doc 3.2.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CVSROOT=:pserver:anonymous@cvs.debian.org:/cvs/debian-doc
 DESTDOC=$(CURDIR)/debian/harden-doc/usr/share/doc/harden-doc
 # These are the current languages that compile cleanly
-VALIDLANGS=en en de fr es it ru 
+VALIDLANGS=en de fr es it ru ja
 
 all: build

=== howto-source/Makefile ===
--- 
+++ 
@@ -12,7 +12,12 @@
 # ------------------------------------------------------------------- #
 # Read local texmf.cnf file
 
-export TEXMFCNF=texmf:
+export PATH:=bin/:${PATH}
+ 
+# Woodys default LaTeX settings need more memory for en PDF
+export TEXMFCNF:=texmf/:
+
+.SUFFIXES:
 
 # Following default shall be edited by the coordinator for the entire
 # set of languages.  If a subsection owner wishes to override settings,
@@ -40,7 +45,7 @@
 PUBLISHDIR := ~/public_html/manuals.html
 
 # List of languages built for "distclean" target for DDP:
-LANGSALL := en de fr es it ru ja
+LANGSALL := en de fr es it ru ja zh-cn
 # List of languages built for "publish" target for DDP
 LANGS := en de fr es it ru ja
 
@@ -58,12 +63,18 @@
 # =================================================================== #
 # If some languages have problems building, filter-out in here.
 
+# define $(locale) for the following targets
+$(MANUAL).%.html.stamp $(MANUAL).%.txt $(MANUAL).%.ps $(MANUAL).%.pdf: \
+  locale=$(subst pt-br,pt_BR,\
+         $(subst zh-cn,zh_CN,\
+	 $*))
+
 ### Full guide
 
 # List of html stamp files to be built
 HTMLS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).html.stamp)
 
-# List of pdf to be built
+# List of txt to be built
 TXTS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).txt)
 
 # List of ps to be built
@@ -78,17 +89,13 @@
 # =================================================================== #
 # If some languages have problems building, filter-out in here.
 
-all: html txt 
-#all: html txt ps pdf
+all: html txt ps pdf
 html: $(HTMLS)
 text txt:  $(TXTS)
 ps:   $(PSS)
 pdf:  $(PDFS)
 
 publish: publish-html publish-txt publish-ps publish-pdf
-# NOTE: PS and PDF generation might not work OK for all 
-# languages (notably Japanese), consider using this instead:
-#publish: publish-html publish-txt 
 
 # =================================================================== #
 #                 Build rule part: If not package build               #
@@ -117,9 +124,8 @@
 	        $< > $(MANUAL).$*.sgml
 
 # HTML
-
-$(MANUAL).%.html.stamp: $(MANUAL).%.sgml  $(MANUAL).%.ent $(wildcard %/*.sgml)
-	debiandoc2html -l $* -c $<
+$(MANUAL).%.html.stamp: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
+	debiandoc2html -l $(locale) -c $<
 # since $(MANUAL).%.html/index.%.html cannot be a target file
 	@for file in `ls $(MANUAL).$*.html/*` ; do\
 	newfile=`echo $$file|\
@@ -136,18 +142,18 @@
 # TXT
 
 $(MANUAL).%.txt: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
-	debiandoc2text -l     $* $<
+	debiandoc2text -l $(locale) $<
 
 
 # PS
 
 $(MANUAL).%.ps: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
-	debiandoc2latexps -l  $(subst pt-br,pt_BR,$*) $<
+	debiandoc2latexps -l $(locale) $<
 
 # PDF
 
 $(MANUAL).%.pdf: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
-	debiandoc2latexpdf -l $* $<
+	debiandoc2latexpdf -l $(locale) $<
 
 
 # =================================================================== #
@@ -159,7 +165,7 @@
 	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
 	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
 	# install all html
-	@$(foreach lang,$(LANGS),\
+	$(foreach lang,$(LANGS),\
 	 install -p -m 644 $(MANUAL).$(lang).html/*.html \
 	          $(PUBLISHDIR)/$(MANUAL)/ ;\
 	)
@@ -211,7 +217,7 @@
 clean:
 	rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,sasp*,out,tov}
 	rm -f *~ prior.aux pprior.aux tar.gz.log
-	rm -f *.error $(MANUAL).*.ent date.ent $(MANUAL).*.tpt
+	rm -f *.error $(MANUAL).*.ent $(MANUAL).*.sgml date.ent $(MANUAL).*.tpt
 	rm -rf $(MANUAL)*.html *stamp
 
 .PHONY: all html text txt ps pdf \

=== debian/changelog ===
harden-doc (3.2.4) unstable; urgency=low

  * Update to latest CVS:
    - Fix revision tracking issues and typos found by Jens Seidel
    - French translation update by Frederic Bothamy
    - German translation update by Jens Seidel
    - Minor revision of Portuguese translation by Philipe Gaspar and
      fixes to build by Jens Seidel

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 14 May 2005 22:04:58 +0200

harden-doc (3.2.3) unstable; urgency=low

  * Updated to latest CVS:
    - French translation update by Frederic Bothamy
  * Fixed ISO-8859-1 chars in debian/changelog

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 11 May 2005 21:13:12 +0200

harden-doc (3.2.2) unstable; urgency=medium

  * Updated to latest CVS in preparation for the sarge release:
    - French translation update by Frederic Bothamy
    - Minor fixes from Jens Seidel
    - Typo fixes spotted by Frdric Bothamy
    - Updated some information refering to the imminent release and note
      that some changes only apply to the old (3.1) Debian release
    - Added more information on kernel upgrades specially for those that
      might upgrade from older installs (which were not packaged-based)
    - Moved the apt 0.6 information to its own section.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 11 May 2005 00:45:58 +0200

harden-doc (3.2.1) unstable; urgency=medium

  * Updated to latest CVS with some improvements in the documentation
    including typo fixes. More specifically includes:
     - Rewrote the firewall section, moved the information that applies
       to woody down and expand the other sections including some
       information on how to manually set the firewall (with
       a sample script) and how to test the firewall configuration.
       (Closes: #297746)
     - Expanded the section on security updates mentioning library and
       kernel updates and how to detect when services need to be
       restarted. (Closes: #306502)
     - Fixed license name (Closes: #304770)
    The firewall section change is important so that 'sarge' users
    are aware of how they should tackle the issue, thus the medium
    priority. 
  * Removed some stale CVS files from the sources
  * Added warning notes to the spanish, russian and japanese translations
    since they are _very_ out of date and might contain innacurate 
    information.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  6 May 2005 21:06:55 +0200

harden-doc (3.2) unstable; urgency=low

  * Updated to latest CVS sources (version 3.2) with some improvements
    Also
    - Fixes call to ps (Closes: #302468)
    - Adds a FAQ item on how to recover from removing system users 
    (Closes: #302442)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 15 Apr 2005 00:44:24 +0200

harden-doc (3.0.1.4) unstable; urgency=low

  * Removed the Recommends on 'lskb' as it is no longer updated
  * Re-added the PDF generation once I've added the Build-Depends
    for cjk-latex and hbf-kanji48 necessary for Japanese PDF generation
    (I can't get zh-cn to build, however, probably because of a
    mis-configuration in my local system)
  * Added a note in debian/control regarding the language files provided
    in this package.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 13 Mar 2005 12:59:25 +0100

harden-doc (3.0.1.3) unstable; urgency=low

  * Updated from CVS

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 11 Mar 2005 01:55:30 +0100

harden-doc (3.0.1.2) unstable; urgency=low

  * Updated from CVS, many changes including:
    - Clarify comments on ro /usr (Closes: #287522)
    - Clarification on RPC section (Closes: #256523)
  * Fix doc-base script, removed postscript, text and PDF versions
    since doc-base only handles HTML files at present. (Closes: #285664)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 16 Jan 2005 03:55:22 +0100

=== debian/control ===
Source: harden-doc
Section: doc
Priority: extra
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends-Indep: debhelper (>> 3.0.0), dpsyco-devel, debiandoc-sgml, perl, texinfo, tetex-bin, tetex-extra, cjk-latex, hbf-kanji48
Standards-Version: 3.5.8

Package: harden-doc
Architecture: all
Description: Useful documentation to secure a Debian system
 Harden-doc will install documentation an administrator can use
 to make a Debian system more secure. It currently provides
 the 'Securing Debian Manual' from the Debian Documentation 
 Project.
 .
 The manual is provided both in English and in all available
 translations, which might not be, however fully up-to-date.
 Available translations include:
 French, German, Japenese, Italian, Russian, and Spanish. 
 .
 Homepage: http://www.debian.org/doc/manuals/securing-debian-howto/

## harden-doc 3.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 CVSROOT=:pserver:anonymous@cvs.debian.org:/cvs/debian-doc
 DESTDOC=$(CURDIR)/debian/harden-doc/usr/share/doc/harden-doc
 # These are the current languages that compile cleanly
-VALIDLANGS=en de fr es it ru ja
+# and are sufficiently up to date
+VALIDLANGS=en de fr ja zh-cn
 
 all: build

=== howto-source/Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 # List of languages built for "distclean" target for DDP:
 LANGSALL := en de fr es it ru ja zh-cn
 # List of languages built for "publish" target for DDP
-LANGS := en de fr es it ru ja
+LANGS := en de fr es it ru ja zh-cn
 
 
 # Files which affect SGML generation (excluding *.sgml)

=== debian/changelog ===
harden-doc (3.3) unstable; urgency=low

  * Updated to latest CVS version (3.3)
    - Rewrite section on services (default ones installed, how to remove
    them or deactive them, etc.)  (Closes: #312811)
    - Add a sample code using grep-status to output the list of packages
    that Depend on perl (Closes: #302470)
    - French translation update by Frdric Bothamy
    - German translation update by Simon Brandmair, Jens Seidel
    - Minor fixes from Jens Seidel
  * Added zh-cn to the build
  * debian/control: Added to Build-Depends-Indep:
     - gs-gpl | gs-esp: required for PDF's thumbnail generation.
     - tfm-arphic-gkai00mp: zh_CN Kai TeX font metric files, depends
      on truetype font package
     - added versioned dependency (>= 1.1.86) on debiandoc-sgml
  * Removed Italian, Russian and Spanish version from the build
    as they are not being kept up to date.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 18 Jun 2005 23:58:48 +0200

## harden-doc 3.4

=== howto-source/Makefile ===
--- 
+++ 
@@ -47,8 +47,10 @@
 # List of languages built for "distclean" target for DDP:
 LANGSALL := en de fr es it ru ja zh-cn
 # List of languages built for "publish" target for DDP
-LANGS := en de fr es it ru ja zh-cn
-
+LANGS    := en de fr 
+# This are all the languages, not all are compiled for DDP
+# due to them being out of dte
+#LANGS    := en de fr es it ru ja zh-cn
 
 # Files which affect SGML generation (excluding *.sgml)
 SGMLENTS := custom.ent default.ent

=== debian/changelog ===
harden-doc (3.4) unstable; urgency=low

  * Updated to latest CVS version (3.4):
      * Improved the after installation security enhancements related to
      kernel configuration for network level protection with a sysctl.conf
      file provided by Will Moy.
      * Improved the gdm section, thanks to Simon Brandmair.
      * Typo fixes from Frederic Bothamy and Simon Brandmair.
      * Improvements in the after installation sections related
      to how to generate the MD5 (or SHA-1) sums of binaries
      for periodic review.
      * Updated the after installation sections regarding
      checksecurity configuration (was out of date).
      - German translation update by  Simon Brandmair, proofread by Jens
        Seidel
      - French translation update by Frederic Bothamy
  * Clarify licensing in debian/copyright (Closes: #333453)
  * Updated the FSF address
  * Removed out of date languages: Spanish, Russian, Italian and Chinese
  * Fix encoding in debian/changelog

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 19 Oct 2005 10:01:19 +0200

## harden-doc 3.5

=== howto-source/Makefile ===
--- 
+++ 
@@ -129,15 +129,15 @@
 $(MANUAL).%.html.stamp: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
 	debiandoc2html -l $(locale) -c $<
 # since $(MANUAL).%.html/index.%.html cannot be a target file
-	@for file in `ls $(MANUAL).$*.html/*` ; do\
+	@for file in `ls $(MANUAL).$*.html/*` ; do \
 	newfile=`echo $$file|\
 	    sed 's/$(shell echo $*|\
 		sed 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ_/abcdefghijklmnopqrstuvwxyz-/'\
-		)\.html/$*\.html/'`;\
-	if [ $$file != $$newfile ] ; then\
-		mv $$file $$newfile;\
-		echo "Rename $$file --> $$newfile";\
-	fi\
+		)\.html/$*\.html/'`; \
+	if [ $$file != $$newfile ] ; then \
+		mv $$file $$newfile; \
+		echo "Rename $$file --> $$newfile"; \
+	fi \
 	done
 	touch $(MANUAL).$*.html.stamp

=== debian/changelog ===
harden-doc (3.5) unstable; urgency=medium

  * Updated to latest CVS version (3.5): 
     - Patch from Joost van Baal improving the information on the firewall
       section (pointing to the wiki instead of listing all firewall packages
       available) (Closes: #339865)
     - Fix some  typos (Closes: #342152, #340535)
     - Provides new Makefile which builds with latest make version (Closes: #359840)
     - Use the quote from the Social Contract 1.1 instead of 1.0 as suggested
     by Francesco Poli. (Closes: #335104)
     - Included a patch from Thomas Sjgren which describes that
       'noexec' works as expected with "new" kernels, adds information
       regarding tempfile handling, and some new pointers to external documentation.
     - Add a pointer to Dan Farmer's and Wietse Venema's forensic discovery web
       site, as suggested by Freek Dijkstra, and expanded a little bit the forensic
       analysis section with more pointers.
     - Fixed URL of Italy's CERT, thanks to Christoph Auer.
     - Reuse Joey Hess' information at the wiki on secure apt and introduce it
       in the infrastructure section.
     - Review sections refering to old versions (woody or potato)
     - Fix some cosmetic issues with patch from Simon Brandmair.
     - Included patches from Carlo Perassi: acl patches are obsolete,
       openwall patches are obsolete too, removed fixme notes about 2.2 and 2.4
       series kernels, hap is obsolete (and not present in WNPP), remove
       references to Immunix (StackGuard is now in Novell's hands), and fix a
       FIXME
     - Updated references to SElinux web pages to point to the Wiki (currently
       the most up to date source of information)
     - Include file tags and make a more consistent use of "MD5 sum" with a
       patch from Jens Seidel.
     - Review the FAQ section on vulnerability stats, thanks to Carlos
       Galisteo de Cabo for pointing out that it was out of date. (Closes: #348851)
     - German tranlsation update
     - French translation update

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 30 Mar 2006 23:42:12 +0200

## harden-doc 3.11

=== howto-source/Makefile ===
--- 
+++ 
@@ -47,10 +47,10 @@
 # List of languages built for "distclean" target for DDP:
 LANGSALL := en de fr es it ru ja zh-cn
 # List of languages built for "publish" target for DDP
-LANGS    := en de fr 
+LANGS    := en de fr pt-br
 # This are all the languages, not all are compiled for DDP
 # due to them being out of dte
-#LANGS    := en de fr es it ru ja zh-cn
+#LANGS    := en de fr es it ru ja zh-cn pt-br
 
 # Files which affect SGML generation (excluding *.sgml)
 SGMLENTS := custom.ent default.ent

=== debian/changelog ===
harden-doc (3.11) unstable; urgency=high

  * Added an emtpy binary-arch target, following Policy requirements and
    and the Etch release standards (Closes: #395608)
  * Added a dhelp file (for the english document only) although the doc-base
    files should be sufficient (Closes: #344879)
  * Updated to the latest CVS release, this release includes many changes
    to make the document more current and up-to-date:
    - Remove most references to the woody release as it is no longer available
    (in the archived) and security support for it is no longer available.
    (Closes: #385420)
    - Describe how to restrict users so that they can only do file transfers
    (Closes: #385431)
    - Added a note regarding the debian-private declasiffication decission
    (Closes: #401234)
    - Updated link of incident handling guides (Closes: #395385)
    - Added a note saying that development tools (compilers, etc.) are not
    installed now in the default 'etch' installation.
    - Fix references to the master security server (Closes: #398656)
    - Add pointers to additional APT-secure documentation
    - Improve the description of APT signatures
    - Comment out some things which are not yet final related to the mirror's
    official public keys.
    - Fixed name of the Debian Testing Security Team (Closes: #393986)
    - Remove reference to sarge in an example (Closes: #393760)
    - Update the antivirus section, clamav is now available on the release.
      Also mention the f-prot installer (Closes: #392822)
    - Removes all references to freeswan as it is obsolete
    - Describe issues related to ruleset changes to the firewall if done
    remotely and provide some tips (in footnotes) (Closes: #383404)
    - Update the information related to the IDS installation (Closes: #402637)
    - Rewrite the "running bind as a non-root user" section as this no longer
      applies to Bind9. Also remove the reference to the init.d script since
      the changes need to be done through /etc/default (Closes: #402966)
    - Remove the obsolete way to setup iptables rulesets as woody is no longer
      supported.
    - Revert the advice regarding LOG_UNKFAIL_ENAB it should be set to
      'no' (as per default) (Closes: #385422)
    - Added more information related to updating the system with desktop
      tools (including update-notifier) and describe aptitude usage to update
      the system. Also note that dselect is deprecated (Closes: #394151)
    - Updated the contents of the FAQ and removed redundant paragraphs
    (Closes: #355765, #400938)
    - Review and update the section related to forensic analysis of 
      malware (Closes: #396271)
    - Remove or fix some dead links (Closes: #399943, #401602, #404225, #403829, #396387)
    - Fix many typos and gramatical errors reported by Francesco Poli 
      (Closes: #397376, #398674, #400126, #401235, #401752, #401926, #402966, #403950, #403951, #404126, #404224, #392700, #393759, #393761, #397377, #397990, #399942, #394157)
    * Use debhelper compatibility version 4

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 12 Jan 2007 12:07:31 +0100

harden-doc (3.9) unstable; urgency=low

  * Updated to latest CVS version (3.9)
      - Add information on how to track security vulnerabilities and add
      references to the Debian Testing Security Tracker.
      - Add more information on the security support for testing.
      - Fix a large number of typos with a patch provided by Simon Brandmair.
      - Added section on how to disable root prompt on initramfs provided by
      Max Attems (Closes: #387736)
      - Remove references to queso (Closes: #391262)
      - Note that testing is now security-supported (Close: #331560)
      - Update German translation (now in version 3.8)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 12 Oct 2006 13:10:07 +0200

harden-doc (3.8) unstable; urgency=low

  * Updated to latest CVS version (3.8)
    - Rewrote the information on how to setup ssh chroots to clarify the
      different options available, thank to Bruce Park for bringing up the
      different mistakes in this appendix.
    - Fix lsof call as suggested by Christophe Sahut. (Closes: #375312)
    - Include patches for typo fixes from Uwe Hermann (Closes: #369460, #369695)
    - Fix typo in reference spotted by Moritz Naumann. (Closes: #376395)
    (Version 3.7 changes):
    - Add a section on Debian Developer's best practices for security.
    -  Ammended firewall script with comments from WhiteGhost.
  * Fix changelog for 3.5 as it did not mention the 3.5 changes (but actually
    those from version 3.6)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 18 Aug 2006 18:09:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: extra
 Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), dpsyco-devel, debiandoc-sgml, perl, texinfo, tetex-bin, tetex-extra, cjk-latex, hbf-kanji48
+Build-Depends-Indep: debhelper (>> 3.0.0), dpsyco-devel, debiandoc-sgml (>=1.1.86), perl, texinfo, tetex-bin, tetex-extra, gs-gpl | gs-esp, cjk-latex, hbf-kanji48, tfm-arphic-gkai00mp
 Standards-Version: 3.5.8
 
 Package: harden-doc
@@ -16,6 +16,6 @@
  The manual is provided both in English and in all available
  translations, which might not be, however fully up-to-date.
  Available translations include:
- French, German, Japenese, Italian, Russian, and Spanish. 
+ French, German, Japanese and Simplified Chinese.
  .
  Homepage: http://www.debian.org/doc/manuals/securing-debian-howto/

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 configure: configure-stamp
 configure-stamp:
@@ -41,10 +41,15 @@
 
 
 # Build architecture-independent files here.
+binary-arch: 
+
+# Build architecture-independent files here.
 binary-indep: build install
 	dh_testdir -i
 	dh_testroot -i
 	dh_installdebconf -i
+# Note: dh_dhelp is no longer available (deprecated) so we just ship
+# the doc-base files:
 	dh_installdocs -i
 #	dh_installexamples -i
 	dh_installinfo -i
@@ -59,4 +64,4 @@
 	dh_builddeb -i
 
 binary: binary-indep
-.PHONY: build clean binary-indep binary install configure
+.PHONY: build clean binary-indep binary-arch binary install configure
